Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 621322 - media-libs/mesa: vdpau_avcodec generic error: decoder profile not supported: 8
Summary: media-libs/mesa: vdpau_avcodec generic error: decoder profile not supported: 8
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-09 17:21 UTC by Kristian Fiskerstrand
Modified: 2018-11-01 19:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Fiskerstrand gentoo-dev 2017-06-09 17:21:40 UTC
After upgrading to mesa 17.0.6 (going stable in bug 620234) video playing in vlc (hardware accelerated) stopped working. After some debugging and isolating the issue it turns out that it is related to new mesa version going stable. Blocking the new version, allowing for a downgrade to previous stable 13.0.5 and everything works as it should again.

vlc output
[00007fe5880cff08] vdpau_avcodec generic error: decoder profile not supported: 8
[00007fe580001268] vdpau_display vout display error: output surface creation failure: A catch-all error, used when no other error code applies.
[00007fe580001268] vdpau_display vout display error: output surface creation failure: A catch-all error, used when no other error code applies.

Video controller:
01:00.0 VGA compatible controller: NVIDIA Corporation GM204GLM [Quadro M3000M] (rev a1)

Selected package info:
[ebuild   R    ] x11-libs/libvdpau-1.1.1::gentoo  USE="dri -doc {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] media-libs/mesa-13.0.5::gentoo  USE="classic dri3 egl gallium gbm llvm nettle nptl vdpau -bindist -d3d9 -debug -gcrypt -gles1 -gles2 (-libressl) -opencl -openmax -openssl -osmesa -pax_kernel -pic (-selinux) -vaapi -valgrind -vulkan -wayland -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="nouveau (-freedreno) -i915 -i965 -intel -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) -vmware" 0 KiB
[ebuild   R    ] media-video/vlc-2.2.6:0/5-8::gentoo  USE="X a52 alsa avcodec avformat cdda dbus dts dvbpsi dvd encode ffmpeg flac gcrypt gnutls jpeg libnotify libsamplerate mp3 mpeg ncurses ogg opengl png pulseaudio qt4 sdl svg swscale truetype udev vdpau vorbis x264 xcb xml xv -aalib (-altivec) -atmo (-audioqueue) -bidi -bluray -cddb -chromaprint -dc1394 -debug -directfb (-directx) -dvb (-dxva2) -faad -fdk -fluidsynth -fontconfig -gme -gnome -growl -gstreamer -httpd -ieee1394 -jack -kate -kde -libass -libav -libcaca -libtar -libtiger -linsys -lirc -live -lua (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) -matroska -modplug -mtp -musepack (-neon) -omxil -opencv -optimisememory -opus -postproc -projectm -qt5 -rdp -rtsp -run-as-root -samba -schroedinger -sdl-image -sftp -shout -sid -skins -speex -taglib {-test} -theora -tremor -twolame -upnp -v4l -vaapi -vcdx -vlm -vnc -vpx -wma-fixed -x265 -zeroconf -zvbi" CPU_FLAGS_X86="mmx sse" 0 KiB
Comment 1 Ilia Mirkin 2017-06-10 20:15:17 UTC
GM204 is only supported on fairly recent versions of mesa.

There's no VDPAU support starting with GM107 (they changed all their video decoding engines around, and the new setup has yet to be RE'd).

Chances are that one of two things is happening:

(a) VLC can't handle the situation where there's a video library without any available decoding profiles
(b) libvdpau_nouveau.so is reporting a somewhat illegal situation by claiming that some profiles are available, but then fail to actually be usable.

Check 'vdpauinfo' - if it doesn't list any decoder capabilities, then file a bug with vlc. If it reports decoder profiles, then file a bug with mesa/nouveau. (I'm guessing it's the latter.)
Comment 2 Kristian Fiskerstrand gentoo-dev 2017-06-10 20:54:30 UTC
(In reply to Ilia Mirkin from comment #1)

> 
> Check 'vdpauinfo' - if it doesn't list any decoder capabilities, then file a
> bug with vlc. If it reports decoder profiles, then file a bug with
> mesa/nouveau. (I'm guessing it's the latter.)

Both mesa 13 and 17 reports no capabilities:
Decoder capabilities:

name                        level macbs width height
----------------------------------------------------
MPEG1                          --- not supported ---
MPEG2_SIMPLE                   --- not supported ---
MPEG2_MAIN                     --- not supported ---
H264_BASELINE                  --- not supported ---
H264_MAIN                      --- not supported ---
H264_HIGH                      --- not supported ---
VC1_SIMPLE                     --- not supported ---
VC1_MAIN                       --- not supported ---
VC1_ADVANCED                   --- not supported ---
MPEG4_PART2_SP                 --- not supported ---
MPEG4_PART2_ASP                --- not supported ---
DIVX4_QMOBILE                  --- not supported ---
DIVX4_MOBILE                   --- not supported ---
DIVX4_HOME_THEATER             --- not supported ---
DIVX4_HD_1080P                 --- not supported ---
DIVX5_QMOBILE                  --- not supported ---
DIVX5_MOBILE                   --- not supported ---
DIVX5_HOME_THEATER             --- not supported ---
DIVX5_HD_1080P                 --- not supported ---
H264_CONSTRAINED_BASELINE      --- not supported ---
H264_EXTENDED                  --- not supported ---
H264_PROGRESSIVE_HIGH          --- not supported ---
H264_CONSTRAINED_HIGH          --- not supported ---
H264_HIGH_444_PREDICTIVE       --- not supported ---
HEVC_MAIN                      --- not supported ---
HEVC_MAIN_10                   --- not supported ---
HEVC_MAIN_STILL                --- not supported ---
HEVC_MAIN_12                   --- not supported ---
HEVC_MAIN_444                  --- not supported ---

The issue still persists in vlc only in case of mesa 17, not in mesa 13
Comment 3 Kristian Fiskerstrand gentoo-dev 2017-06-10 21:03:01 UTC
(In reply to Kristian Fiskerstrand from comment #2)
> (In reply to Ilia Mirkin from comment #1)
> 
> > 
> > Check 'vdpauinfo' - if it doesn't list any decoder capabilities, then file a
> > bug with vlc. If it reports decoder profiles, then file a bug with
> > mesa/nouveau. (I'm guessing it's the latter.)
> 
> Both mesa 13 and 17 reports no capabilities:
> Decoder capabilities:

Oh, and the bug for vlc is in bug 611140, although in this bug tracker it might not relate solely to the actual upstream issue, but the overall workings of Gentoo. In this case, it is the version of mesa causing the issue, not the version of vlc, hence it is relevant irrespective of where the incapability ultimately lies as it affects end users.
Comment 4 Ilia Mirkin 2017-06-12 14:44:16 UTC
(In reply to Kristian Fiskerstrand from comment #2)
> (In reply to Ilia Mirkin from comment #1)
> 
> > 
> > Check 'vdpauinfo' - if it doesn't list any decoder capabilities, then file a
> > bug with vlc. If it reports decoder profiles, then file a bug with
> > mesa/nouveau. (I'm guessing it's the latter.)
> 
> Both mesa 13 and 17 reports no capabilities:
[...]
> The issue still persists in vlc only in case of mesa 17, not in mesa 13

My guess is that as a result of supporting GM204, Mesa 17 is able to get a little further, enough to confuse vlc somehow.

It'll take some debugging to determine if the issue is on the vlc end or the mesa end. Just because upgrading mesa causes the issue in vlc doesn't mean it's not vlc that's buggy.

I'd recommend engaging those projects directly, as none of this will be resolved by the distribution, whose job is to just package up the various packages, not fix bugs in them.
Comment 5 Kristian Fiskerstrand gentoo-dev 2017-06-27 10:21:01 UTC
Adding media-video for comment wrt VLC
Comment 6 Matt Turner gentoo-dev 2018-11-01 19:01:35 UTC
Since hw accelerated video wasn't expected to work in Mesa, reassigning.